CH

After a control board is specified with NODE, this message is used to specify a channel. It is also used to inquire about the currently effective channel.

Messages such as VSET and OUT sent after this message is dispatched become effective for the channel thus specified.

Program message

Program data

Setting value: | 1 or 2 (default: 1) PMR: 1 to 4 (default: 1)
Data format: | Decimal number

Example: Channel 1 is specified

CH 1

Response message

The currently effective channel on the control board is returned to CH?.

Example: If CH 1 is effective,

the message “001” is returned.

CLR

The same processing is performed as when the GPIB bus line message DCL or SDC has been received. Also used to perform the same processing as is performed by a DCL message from the RS232C.

CLR is a command message equivalent to *RST.

This command message sets the following program data to its initial value, sets each bit of the following registers to 0, and turns off the output of the DC power-supply unit connected. In addition, the command releases the latch on the Shutdown function.

Message header | Program data (Initial value)
NODE | 0
CH | 1
TRM (DELIMITER) | 0
FUNMASK | 0h
HEAD | 0
SILENT | 1
*SRE (UNMASK) | 0h

Register | Each Bit
Status byte register | 0
Fault register | 0
Error register | 0

Command message

DELIMITER

The device message DELIMITER has been used for Kikusui’s conventional power-supply controller PIA3200. The message can also be used for the PIA4800 series. To create a new program, however, use the message TRM (equivalent to DELIMITER).

Used to specify or inquire about the response message terminator. The GPIB uni-line message “EOI” is effective only in GPIB communication.

Program message

Program data

Setting value: | 0 | CR/LF + EOI (default)
| 1 | LF + EOI
| 2 | EOI
| 3 | CR + EOI
Data format: | Integer

Example: The response message terminator is set to LF+EOI.

DELIMITER 1

Response message

The response message terminator currently set is returned to DELIMITER?.

Example: When the delimiter is set at LF+EOI,

the message “001” is returned.

DIN

Used to inquire about the value of the digital control input port.

Query message

Response message

The value of the digital control input port is returned to DIN?.

Example: When the value of the digital control input port is “10100011,”

the message “163” is returned.

DISP

Specify the output which displays on the panel. The output selection indicator switch of the PMR lights on.

Command message

Program data

Setting value: | 0 to 4 (default: 1)
Resolution: | 1
Data format: | Decimal numbers

DSET

Used to set the value output to the digital control output port.

Command message

Program data

Setting value: | 0 to 127 (default: 0)
Resolution: | 1
Data format: | Decimal numbers

ERR

Used to inquire about the contents of the error register.

The contents of an error undergo OR bit by bit in the error register. The error register is reset when it is read with the ERR? message.

Query message

Response message

The contents of an error message are returned to ERR?.

Example: If a character string in a message is incorrect,

Bit 0 of the error register is set.

FAU

Used to inquire about the contents of the fault register. The fault register is used to latch an event indicated by the status register.

Query message

Response message

The contents of the fault register are returned to FAU?.

Example: If Bit 2 of the fault register is set,

the message “004” is returned.

FUNMASK

Used to set or reset each bit of the fault unmask register. Also used to inquire about the contents of the fault unmask register.

At the occurrence of an event in the status register, the FUNMASK message sets a corresponding bit to allow the fault register to latch the contents of the event.

Program message

Program data

Setting value: | 0 to 255 (default: 0) 00h to FFh (default: 00h)
Resolution: | 1, 1h
Data format: | Hexadecimal or decimal numbers

Response message

The contents of the fault unmask register are returned to FUNMASK?.

Example: If Bit 1 of the fault unmask register is set,

the message “002” is returned.

HEAD

Used to specify whether to add a header (including channel headers) and unit data in the readback data. Also used to inquire about a specified value.

Program message

Program data

Setting value: | 0 | Do not add a header or unit data. (default)
| 1 | Add a header and unit data.
Data format: | Integer

Response message

The set value for the HEAD message is returned to HEAD?.

Example: If the switch on the HEAD message is set at ON,

the message “001” is returned.

IOUT (Excluding PLZ)

Used to inquire about the monitored value of the output current on the DC power-supply unit connected to a currently effective channel. Correct connections must be made to the DC power-supply unit both electrically and logically.

Monitored value: The current detection point differs depending on the DC power-supply unit or optional peripheral equipment used.

Query message

Response message

The output current value is returned to IOUT?.

Example: If the output current is 12.34 A,

the message “12.34” is returned.

ISET (Excluding PLZ)

Used to set an output current on the DC power-supply unit connected to a currently effective channel. Correct connections must be made to the DC power-supply unit both electrically and logically.

Turn on the LOCK switch or the DIAL/KEY LOCK switch for the PAS series, the PWR series, the PMR series or the PAM series.

The Query is invalid for the DC power supply with analog remote control function, the PMR series or the PAM series.

Command message

Program data

Setting value: | Minimum value to maximum value for the power-supply unit connected
Resolution: | Minimum resolution of the power-supply unit connected
Data format: | Real numbers

Response message

The set value for the ISET message is returned to ISET?.

Example: If the preset current value is 12.34 A,

the message “12.34” is returned.

LOCK

Set to valid (LOCK OFF) or invalid (LOCK ON) of the panel operation. The LOCK ON (invalid panel operation) status can be cancelled by the LOCK switch on the front panel. This program message is not depended on the setting status of the DIAL/KEY LOCK switch for the PMR series (located on the rear panel).

Program message

Program data

Setting value: | 0 | Lock off (default)
| 1 | Lock on
Data format: | Integer

Response message

The valid/invalid of the panel operation is returned to LOCK?.

Example: If invalid (Lock on) of the panel operation is set,

the message “001” is returned.

NODE

Specify the node address.

This message must be sent before a channel is specified.

The PAM series, the PMR series : When sending the NODE command for the first time after the power is tunrned on, either LOCK switch or the DIAL/KEY LOCK switch will be turned on.

Program message

Program data

Setting value: | 1 to 36 (default: 0)
Resolution: | 1
Data format: | Integer

Response message

The last node address set with the NODE message is returned to NODE?.

Example: If the control board with the node address 16 is effective,

the message “016” is returned.

OCSET

Used to set the OCP trip point of the DC power-supply unit connected to a currently effective channel.

Command message

Program data

Setting value: | PAS, PWR (M/H type): Approx. 10 % to 110 % of the rated output current PWR (L type): Approx. 10 % to 176 % of the rated output current (default: 110 % of the rated current)
Resolution: | Minimum resolution of the power-supply unit connected
Data format: | Real numbers

Response message

The set value for the OCSET message is returned to OCSET?.

Example: If the OCP trip point is 12.34 A,

the message “12.34” is returned.

OUT (Excluding PAK-A, PLZ-W2/PLZ152WA, PVS, PVD-T)

Used to turn ON/OFF the output on the DC power-supply unit connected to the currently effective channel.

Turn on the LOCK switch or the DIAL/KEY LOCK switch for the PAS series, the PMR series, the PWR series or the PAM series.

To enable the OUTPUT switch on the panel, turn OFF the POWER switch and then turn it ON again for PAM series.

Command message

Program data

Setting value: | 0 | Output OFF. (default)
| 1 | Output ON.
Data format: | Integer

OVSET

Used to set the OVP trip point of the DC power-supply unit connected to a currently effective channel.

The Query is invalid for the DC power supply with analog remote control function.

Command message

Program data

Setting value: | Mininum value to 110 % of the rated voltage of the power-supply unit connected PWR, PAS: 10 % to 110 % of the rated voltage (default: 110 % of the rated voltage)
Resolution: | Minimum resolution of the power-supply unit connected
Data format: | Real numbers

Response message

The set value for the OVSET message is returned to OVSET?.

Example: If the OCP trip point is 12.34 V,

the message “12.34” is returned.

POUT

Used to inquire about the monitored value of the output power on the DC power-supply unit connected to a currently effective channel.

Query message

Response message

The monitored value of the output power is returned to POUT?.

Example: If the output power is 12.34 W,

the message “12.34” is returned.

POW

Used to cut off the power to the DC power-supply unit connected to a currently effective channel.

Command message

REM (PAK-A only)

Used to set an analog remote/local-switching on the DC power-supply unit connected to a currently effective channel.

Command message

Program data

Setting value: | 0 | Local (default)
| 1 | Remote
Data format: | Integer

SILENT

Used in control via RS232C to specify whether to return an acknowledgement message to a message divided by the response message terminator. The SILENT? message is used to inquire about the set value that specifies whether to return an acknowledgement message.

As an acknowledgement message, either “OK” or “ERROR” is returned.

If an acknowledgement message is to be received, the RS232C must be set at full duplex communication.

Program message

Program data

Setting value: | 0 | Return an acknowledgement message.
| 1 | Do not return an acknowledgement message. (default)
Data format: | Integer

Response message

The set value for the SILENT message is returned to SILENT?.

Example: If settings are made so that an acknowledgement message will not be returned,

the message “000” is returned.

STS

Used to inquire about the contents of the status register. Once set, a bit maintains its status until the status of the DC power-supply unit is changed.

Query message

Response message

The contents of the status register are returned to STS?.

Example: If Bit 3 of the status register is set,

the message “008” is returned.

TRM

Used to specify the response message terminator. Note that the GPIB uni-line message “EOI” is effective only in GPIB communication.

Command message

Program data

Setting value: | 0 | CR/LF+EOI (default)
| 1 | LF+EOI
| 2 | EOI
| 3 | CR+EOI
Data format: | Integer

Response message

The response message terminator currently set is returned to TRM?.

Example: If the response message terminator is set at LF+EOI,

the message “001” is returned.

UNMASK

UNMASK has been used for Kikusui’s conventional power-supply controller PIA3200. The message can also be used for the PIA4800 series. To create a new program, however, use the message *SRE (equivalent to UNMASK).

Used to set or reset each bit of the service request enable register. Also used to inquire about the contents of the service request enable register.

To issue an SRQ in the event of an occurrence such as power ON or an error, set a relevant bit.

Program message

Program data

Setting value: | 0 to 255 (default: 0)
Resolution: | 1
Data format: | Hexadecimal or decimal numbers

Response message

The contents of the service request enable register are returned to UNMASK?.

Example: If Bit 7 of the service request enable register is set,

the message “128” is returned.

VOUT (Excluding PLZ)

Used to inquire about the monitored value of the output voltage on the DC power-supply unit connected to a currently effective channel.

Monitored value: The voltage detection process differs depending on the DC power-supply unit used.

Query message

Response message

The monitored value of the output voltage is returned to VOUT?.

Example: If the output voltage is 12.34 V,

the message “12.34” is returned.

VSET (Excluding PLZ)

Used to set the output voltage on the DC power-supply unit connected to a currently effective channel.

Correct connections must be made to the DC power-supply unit both electrically and logically.

Turn on the LOCK switch or the DIAL/KEY LOCK switch for the PAS series, the PWR series, the PMR series or the PAM series.

The Query is invalid for the DC power supply with analog remote control function, the PMR series or the PAM series.

Command message

Program data

Setting value: | Mininum value to maximum value of the rated voltage of the power-supply unit connected (default: 0.0)
Resolution: | Minimum resolution of the power-supply unit connected
Data format: | Real numbers

Response message

The set value for the VSET message is returned to VSET?.

Example: If the preset voltage value is 12.34 V,

the message “12.34” is returned.